Package com.evopdf

# Class BezierCurveElement

java.lang.Object
com.evopdf.PageElement
com.evopdf.PageGraphicElement
com.evopdf.BezierCurveElement

public class BezierCurveElement extends PageGraphicElement
Represents a Bezier curve element to be rendered in a PDF document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BezierCurveElement(float x1, float y1, float x2, float y2, float x3, float y3, float x4, float y4)`
  Constructs a Bezier curve element

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setX1(float x1)`
  Sets the X coordinate of the first point of the Bezier curve
  `void`
  `setX2(float x2)`
  Sets the X coordinate of the second point of the Bezier curve
  `void`
  `setX3(float x3)`
  Sets the X coordinate of the third point of the Bezier curve
  `void`
  `setX4(float x4)`
  Sets the X coordinate of the fourth point of the Bezier curve
  `void`
  `setY1(float y1)`
  Sets the Y coordinate of the first point of the Bezier curve
  `void`
  `setY2(float y2)`
  Sets the Y coordinate of the second point of the Bezier curve
  `void`
  `setY3(float y3)`
  Sets the Y coordinate of the third point of the Bezier curve
  `void`
  `setY4(float y4)`
  Sets the Y coordinate of the third point of the Bezier curve
  `float`
  `x1()`
  Gets the X coordinate of the first point of the Bezier curve
  `float`
  `x2()`
  Gets the X coordinate of the second point of the Bezier curve
  `float`
  `x3()`
  Gets the X coordinate of the third point of the Bezier curve
  `float`
  `x4()`
  Gets the X coordinate of the fourth point of the Bezier curve
  `float`
  `y1()`
  Gets the Y coordinate of the first point of the Bezier curve
  `float`
  `y2()`
  Gets the Y coordinate of the second point of the Bezier curve
  `float`
  `y3()`
  Gets the Y coordinate of the third point of the Bezier curve
  `float`
  `y4()`
  Gets the Y coordinate of the fourth point of the Bezier curve

  ### Methods inherited from class com.evopdf.PageGraphicElement

  `backColor, blending, clipRectangle, foreColor, gradient, lineStyle, opacity, rotate, scale, setBackColor, setBlending, setClipRectangle, setForeColor, setGradient, setLineStyle, setOpacity, skew, translate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BezierCurveElement

    public BezierCurveElement(float x1, float y1, float x2, float y2, float x3, float y3, float x4, float y4)
    Constructs a Bezier curve element
    Parameters:
      `x1` - the first point X coordinate
      `y1` - the first point Y coordinate
      `x2` - the second point X coordinate
      `y2` - the second point Y coordinate
      `x3` - the third point X coordinate
      `y3` - the third point Y coordinate
      `x4` - the fourth point X coordinate
      `y4` - the fourth point Y coordinate

- ## Method Details

  - ### x1

    public float x1()
    Gets the X coordinate of the first point of the Bezier curve
    Returns:
      the X coordinate of the first point of the Bezier curve

  - ### setX1

    public void setX1(float x1)
    Sets the X coordinate of the first point of the Bezier curve
    Parameters:
      `x1` - the X coordinate to set

  - ### y1

    public float y1()
    Gets the Y coordinate of the first point of the Bezier curve
    Returns:
      the Y coordinate of the first point of the Bezier curve

  - ### setY1

    public void setY1(float y1)
    Sets the Y coordinate of the first point of the Bezier curve
    Parameters:
      `y1` - the Y coordinate to set

  - ### x2

    public float x2()
    Gets the X coordinate of the second point of the Bezier curve
    Returns:
      the X coordinate of the second point of the Bezier curve

  - ### setX2

    public void setX2(float x2)
    Sets the X coordinate of the second point of the Bezier curve
    Parameters:
      `x2` - the X coordinate to set

  - ### y2

    public float y2()
    Gets the Y coordinate of the second point of the Bezier curve
    Returns:
      the Y coordinate of the second point of the Bezier curve

  - ### setY2

    public void setY2(float y2)
    Sets the Y coordinate of the second point of the Bezier curve
    Parameters:
      `y2` - the Y coordinate to set

  - ### x3

    public float x3()
    Gets the X coordinate of the third point of the Bezier curve
    Returns:
      the X coordinate of the third point of the Bezier curve

  - ### setX3

    public void setX3(float x3)
    Sets the X coordinate of the third point of the Bezier curve
    Parameters:
      `x3` - the X coordinate to set

  - ### y3

    public float y3()
    Gets the Y coordinate of the third point of the Bezier curve
    Returns:
      the Y coordinate of the third point of the Bezier curve

  - ### setY3

    public void setY3(float y3)
    Sets the Y coordinate of the third point of the Bezier curve
    Parameters:
      `y3` - the Y coordinate to set

  - ### x4

    public float x4()
    Gets the X coordinate of the fourth point of the Bezier curve
    Returns:
      the X coordinate of the fourth point of the Bezier curve

  - ### setX4

    public void setX4(float x4)
    Sets the X coordinate of the fourth point of the Bezier curve
    Parameters:
      `x4` - the X coordinate to set

  - ### y4

    public float y4()
    Gets the Y coordinate of the fourth point of the Bezier curve
    Returns:
      the Y coordinate of the fourth point of the Bezier curve

  - ### setY4

    public void setY4(float y4)
    Sets the Y coordinate of the third point of the Bezier curve
    Parameters:
      `y4` - the Y coordinate to set